Subject: Re: bug#5312: Why is ‘show-trailing-whitespace’ considered unsafe?

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 Jan 2010 15:25:27 -0500

Stefan> Of course, maybe you can come up with file formats where trailing
Stefan> whitespaces are seriously problematic as well.  I just can't think
Stefan> of any off the top of my head.

> One seen recently -- on the groff list, IIRC -- involved continuation
> lines.  <\><NL> works, <\><SP><NL> does not.

That also affects C, C++, Elisp, and many other formats.  The fact that we
haven't mentioned them indicates that it's not considered "seriously
problematic" enough.
Actually, font-lock can also be used in those modes to highlight such
suspicious forms: it's more useful than show-trailing-whitespace since
it can more specifically target those trailing whitespaces that are
semantically significant.

        Stefan